> For the complete documentation index, see [llms.txt](https://docs.egl.vote/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.egl.vote/documentation/setting-the-gaslimit-and-gastarget.md).

# Setting the gasLimit and gasTarget

Miners and mining pools are awarded EGL's when they produce a block with a gas limit that follows the `desiredEgl` vote. Miners can implement a geth patch on their geth node to automatically follow the vote each week.&#x20;

While the node is running, just send the node an RPC request with either `miner_enableEgl` or `miner_disableEgl` to turn following EGL on or off (IPC functions also available). EGL is enabled by default if its configured when the node starts.

{% embed url="<https://github.com/bloXroute-Labs/go-ethereum/pull/5>" %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.egl.vote/documentation/setting-the-gaslimit-and-gastarget.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
